> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# grafana-dashboards

> Grafana Dashboards

**Server path:** `/grafana-dashboards` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                        | Description                                                                                                                                                       |
| --------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [`grafana_dashboards_create_dashboard_snapshot`](#grafana_dashboards_create_dashboard_snapshot)                             | When creating a snapshot using the API, you have to provide the full dashboard payload including the snapshot data. This endpoint is designed for the Grafana UI. |
| [`grafana_dashboards_create_library_element`](#grafana_dashboards_create_library_element)                                   | Create library element.                                                                                                                                           |
| [`grafana_dashboards_create_public_dashboard`](#grafana_dashboards_create_public_dashboard)                                 | Create public dashboard for a dashboard                                                                                                                           |
| [`grafana_dashboards_delete_dashboard_snapshot`](#grafana_dashboards_delete_dashboard_snapshot)                             | Delete Snapshot by Key.                                                                                                                                           |
| [`grafana_dashboards_delete_dashboard_snapshot_by_delete_key`](#grafana_dashboards_delete_dashboard_snapshot_by_delete_key) | Delete Snapshot by deleteKey.                                                                                                                                     |
| [`grafana_dashboards_delete_library_element_by_uid`](#grafana_dashboards_delete_library_element_by_uid)                     | Delete library element.                                                                                                                                           |
| [`grafana_dashboards_delete_public_dashboard`](#grafana_dashboards_delete_public_dashboard)                                 | Delete public dashboard for a dashboard                                                                                                                           |
| [`grafana_dashboards_get_dashboard_snapshot`](#grafana_dashboards_get_dashboard_snapshot)                                   | Get Snapshot by Key.                                                                                                                                              |
| [`grafana_dashboards_get_library_element_by_name`](#grafana_dashboards_get_library_element_by_name)                         | Get library element by name.                                                                                                                                      |
| [`grafana_dashboards_get_library_element_by_uid`](#grafana_dashboards_get_library_element_by_uid)                           | Get library element by UID.                                                                                                                                       |
| [`grafana_dashboards_get_library_element_connections`](#grafana_dashboards_get_library_element_connections)                 | Get library element connections.                                                                                                                                  |
| [`grafana_dashboards_get_library_elements`](#grafana_dashboards_get_library_elements)                                       | Get all library elements.                                                                                                                                         |
| [`grafana_dashboards_get_public_annotations`](#grafana_dashboards_get_public_annotations)                                   | Get annotations for a public dashboard                                                                                                                            |
| [`grafana_dashboards_get_public_dashboard`](#grafana_dashboards_get_public_dashboard)                                       | Get public dashboard by dashboardUid                                                                                                                              |
| [`grafana_dashboards_import_dashboard`](#grafana_dashboards_import_dashboard)                                               | Import dashboard.                                                                                                                                                 |
| [`grafana_dashboards_interpolate_dashboard`](#grafana_dashboards_interpolate_dashboard)                                     | Interpolate dashboard. This is an experimental endpoint under dashboardLibrary or suggestedDashboards feature flags and is subject to change.                     |
| [`grafana_dashboards_list_public_dashboards`](#grafana_dashboards_list_public_dashboards)                                   | Get list of public dashboards                                                                                                                                     |
| [`grafana_dashboards_list_sort_options`](#grafana_dashboards_list_sort_options)                                             | List search sorting options.                                                                                                                                      |
| [`grafana_dashboards_query_public_dashboard`](#grafana_dashboards_query_public_dashboard)                                   | Get results for a given panel on a public dashboard                                                                                                               |
| [`grafana_dashboards_search`](#grafana_dashboards_search)                                                                   | GET /search                                                                                                                                                       |
| [`grafana_dashboards_search_dashboard_snapshots`](#grafana_dashboards_search_dashboard_snapshots)                           | List snapshots.                                                                                                                                                   |
| [`grafana_dashboards_update_folder_permissions`](#grafana_dashboards_update_folder_permissions)                             | Updates permissions for a folder. This operation will remove existing permissions if they’re not included in the request.                                         |
| [`grafana_dashboards_update_library_element`](#grafana_dashboards_update_library_element)                                   | Update library element.                                                                                                                                           |
| [`grafana_dashboards_update_public_dashboard`](#grafana_dashboards_update_public_dashboard)                                 | Update public dashboard for a dashboard                                                                                                                           |
| [`grafana_dashboards_view_public_dashboard`](#grafana_dashboards_view_public_dashboard)                                     | Get public dashboard for view                                                                                                                                     |

***

## grafana\_dashboards\_create\_dashboard\_snapshot

When creating a snapshot using the API, you have to provide the full dashboard payload including the snapshot data. This endpoint is designed for the Grafana UI.

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                     |
| ------------ | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `apiVersion` | string  | No       | —       | APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: [https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources](https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources) +optional    |
| `dashboard`  | object  | Yes      | —       | Unstructured allows objects that do not have Golang structs registered to be manipulated generically.                                                                                                                                                                                                                                                                                                           |
| `deleteKey`  | string  | No       | —       | Unique key used to delete the snapshot. It is different from the `key` so that only the creator can delete the snapshot. Required if `external` is `true`.                                                                                                                                                                                                                                                      |
| `expires`    | integer | No       | —       | When the snapshot should expire in seconds in seconds. Default is never to expire.                                                                                                                                                                                                                                                                                                                              |
| `external`   | boolean | No       | —       | these are passed when storing an external snapshot ref Save the snapshot on an external server rather than locally.                                                                                                                                                                                                                                                                                             |
| `key`        | string  | No       | —       | Define the unique key. Required if `external` is `true`.                                                                                                                                                                                                                                                                                                                                                        |
| `kind`       | string  | No       | —       | Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: [https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds](https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds) +optional |
| `name`       | string  | No       | —       | Snapshot name                                                                                                                                                                                                                                                                                                                                                                                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "apiVersion": {
        "type": "string",
        "description": "APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources +optional"
      },
      "dashboard": {
        "type": "object",
        "description": "Unstructured allows objects that do not have Golang structs registered to be manipulated generically.",
        "properties": {
          "Object": {
            "type": "object",
            "description": "Object is a JSON compatible map with string, float, int, bool, []any, or map[string]any children."
          }
        }
      },
      "deleteKey": {
        "type": "string",
        "description": "Unique key used to delete the snapshot. It is different from the `key` so that only the creator can delete the snapshot. Required if `external` is `true`."
      },
      "expires": {
        "type": "integer",
        "description": "When the snapshot should expire in seconds in seconds. Default is never to expire."
      },
      "external": {
        "type": "boolean",
        "description": "these are passed when storing an external snapshot ref Save the snapshot on an external server rather than locally."
      },
      "key": {
        "type": "string",
        "description": "Define the unique key. Required if `external` is `true`."
      },
      "kind": {
        "type": "string",
        "description": "Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds +optional"
      },
      "name": {
        "type": "string",
        "description": "Snapshot name"
      }
    },
    "required": [
      "PCID",
      "dashboard"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_create\_library\_element

Create library element.

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                     |
| ----------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------- |
| `folderId`  | integer | No       | —       | ID of the folder where the library element is stored.  Deprecated: use FolderUID instead        |
| `folderUid` | string  | No       | —       | UID of the folder where the library element is stored.                                          |
| `kind`      | integer | No       | —       | Kind of element to create, Use 1 for library panels or 2 for c. Description: 1 - library panels |
| `model`     | object  | No       | —       | The JSON model for the library element.                                                         |
| `name`      | string  | No       | —       | Name of the library element.                                                                    |
| `uid`       | string  | No       | —       | The uid value                                                                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "folderId": {
        "type": "integer",
        "description": "ID of the folder where the library element is stored.  Deprecated: use FolderUID instead"
      },
      "folderUid": {
        "type": "string",
        "description": "UID of the folder where the library element is stored."
      },
      "kind": {
        "type": "integer",
        "description": "Kind of element to create, Use 1 for library panels or 2 for c. Description: 1 - library panels",
        "enum": [
          1
        ]
      },
      "model": {
        "type": "object",
        "description": "The JSON model for the library element."
      },
      "name": {
        "type": "string",
        "description": "Name of the library element."
      },
      "uid": {
        "type": "string",
        "description": "The uid value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_create\_public\_dashboard

Create public dashboard for a dashboard

**Parameters:**

| Parameter              | Type    | Required | Default | Description            |
| ---------------------- | ------- | -------- | ------- | ---------------------- |
| `dashboardUid`         | string  | Yes      | —       | Dashboard Uid          |
| `accessToken`          | string  | No       | —       | Access Token           |
| `annotationsEnabled`   | boolean | No       | —       | Annotations Enabled    |
| `isEnabled`            | boolean | No       | —       | Is Enabled             |
| `share`                | string  | No       | —       | The share value        |
| `timeSelectionEnabled` | boolean | No       | —       | Time Selection Enabled |
| `uid`                  | string  | No       | —       | The uid value          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "dashboardUid": {
        "type": "string",
        "description": "Dashboard Uid"
      },
      "accessToken": {
        "type": "string",
        "description": "Access Token"
      },
      "annotationsEnabled": {
        "type": "boolean",
        "description": "Annotations Enabled"
      },
      "isEnabled": {
        "type": "boolean",
        "description": "Is Enabled"
      },
      "share": {
        "type": "string",
        "description": "The share value"
      },
      "timeSelectionEnabled": {
        "type": "boolean",
        "description": "Time Selection Enabled"
      },
      "uid": {
        "type": "string",
        "description": "The uid value"
      }
    },
    "required": [
      "PCID",
      "dashboardUid"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_delete\_dashboard\_snapshot

Delete Snapshot by Key.

**Parameters:**

| Parameter | Type   | Required | Default | Description   |
| --------- | ------ | -------- | ------- | ------------- |
| `key`     | string | Yes      | —       | The key value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_delete\_dashboard\_snapshot\_by\_delete\_key

Delete Snapshot by deleteKey.

**Parameters:**

| Parameter   | Type   | Required | Default | Description |
| ----------- | ------ | -------- | ------- | ----------- |
| `deleteKey` | string | Yes      | —       | Delete Key  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "deleteKey": {
        "type": "string",
        "description": "Delete Key"
      }
    },
    "required": [
      "PCID",
      "deleteKey"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_delete\_library\_element\_by\_uid

Delete library element.

**Parameters:**

| Parameter             | Type   | Required | Default | Description         |
| --------------------- | ------ | -------- | ------- | ------------------- |
| `library_element_uid` | string | Yes      | —       | Library Element Uid |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "library_element_uid": {
        "type": "string",
        "description": "Library Element Uid"
      }
    },
    "required": [
      "PCID",
      "library_element_uid"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_delete\_public\_dashboard

Delete public dashboard for a dashboard

**Parameters:**

| Parameter      | Type   | Required | Default | Description   |
| -------------- | ------ | -------- | ------- | ------------- |
| `dashboardUid` | string | Yes      | —       | Dashboard Uid |
| `uid`          | string | Yes      | —       | The uid value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "dashboardUid": {
        "type": "string",
        "description": "Dashboard Uid"
      },
      "uid": {
        "type": "string",
        "description": "The uid value"
      }
    },
    "required": [
      "PCID",
      "dashboardUid",
      "uid"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_get\_dashboard\_snapshot

Get Snapshot by Key.

**Parameters:**

| Parameter | Type   | Required | Default | Description   |
| --------- | ------ | -------- | ------- | ------------- |
| `key`     | string | Yes      | —       | The key value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_get\_library\_element\_by\_name

Get library element by name.

**Parameters:**

| Parameter              | Type   | Required | Default | Description          |
| ---------------------- | ------ | -------- | ------- | -------------------- |
| `library_element_name` | string | Yes      | —       | Library Element Name |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "library_element_name": {
        "type": "string",
        "description": "Library Element Name"
      }
    },
    "required": [
      "PCID",
      "library_element_name"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_get\_library\_element\_by\_uid

Get library element by UID.

**Parameters:**

| Parameter             | Type   | Required | Default | Description         |
| --------------------- | ------ | -------- | ------- | ------------------- |
| `library_element_uid` | string | Yes      | —       | Library Element Uid |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "library_element_uid": {
        "type": "string",
        "description": "Library Element Uid"
      }
    },
    "required": [
      "PCID",
      "library_element_uid"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_get\_library\_element\_connections

Get library element connections.

**Parameters:**

| Parameter             | Type   | Required | Default | Description         |
| --------------------- | ------ | -------- | ------- | ------------------- |
| `library_element_uid` | string | Yes      | —       | Library Element Uid |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "library_element_uid": {
        "type": "string",
        "description": "Library Element Uid"
      }
    },
    "required": [
      "PCID",
      "library_element_uid"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_get\_library\_elements

Get all library elements.

**Parameters:**

| Parameter          | Type    | Required | Default | Description                                                                                                   |
| ------------------ | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------- |
| `searchString`     | string  | No       | —       | Part of the name or description searched for.                                                                 |
| `kind`             | integer | No       | —       | Kind of element to search for.                                                                                |
| `sortDirection`    | string  | No       | —       | Sort order of elements.                                                                                       |
| `typeFilter`       | string  | No       | —       | A comma separated list of types to filter the elements by                                                     |
| `excludeUid`       | string  | No       | —       | Element UID to exclude from search results.                                                                   |
| `folderFilter`     | string  | No       | —       | A comma separated list of folder ID(s) to filter the elements by. Deprecated: Use FolderFilterUIDs instead.   |
| `folderFilterUIDs` | string  | No       | —       | A comma separated list of folder UID(s) to filter the elements by.                                            |
| `perPage`          | integer | No       | —       | The number of results per page.                                                                               |
| `page`             | integer | No       | —       | The page for a set of records, given that only perPage records are returned at a time. Numbering starts at 1. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "searchString": {
        "type": "string",
        "description": "Part of the name or description searched for."
      },
      "kind": {
        "type": "integer",
        "description": "Kind of element to search for.",
        "enum": [
          1
        ]
      },
      "sortDirection": {
        "type": "string",
        "description": "Sort order of elements.",
        "enum": [
          "alpha-asc",
          "alpha-desc"
        ]
      },
      "typeFilter": {
        "type": "string",
        "description": "A comma separated list of types to filter the elements by"
      },
      "excludeUid": {
        "type": "string",
        "description": "Element UID to exclude from search results."
      },
      "folderFilter": {
        "type": "string",
        "description": "A comma separated list of folder ID(s) to filter the elements by. Deprecated: Use FolderFilterUIDs instead."
      },
      "folderFilterUIDs": {
        "type": "string",
        "description": "A comma separated list of folder UID(s) to filter the elements by."
      },
      "perPage": {
        "type": "integer",
        "description": "The number of results per page."
      },
      "page": {
        "type": "integer",
        "description": "The page for a set of records, given that only perPage records are returned at a time. Numbering starts at 1."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_get\_public\_annotations

Get annotations for a public dashboard

**Parameters:**

| Parameter     | Type   | Required | Default | Description  |
| ------------- | ------ | -------- | ------- | ------------ |
| `accessToken` | string | Yes      | —       | Access Token |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "accessToken": {
        "type": "string",
        "description": "Access Token"
      }
    },
    "required": [
      "PCID",
      "accessToken"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_get\_public\_dashboard

Get public dashboard by dashboardUid

**Parameters:**

| Parameter      | Type   | Required | Default | Description   |
| -------------- | ------ | -------- | ------- | ------------- |
| `dashboardUid` | string | Yes      | —       | Dashboard Uid |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "dashboardUid": {
        "type": "string",
        "description": "Dashboard Uid"
      }
    },
    "required": [
      "PCID",
      "dashboardUid"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_import\_dashboard

Import dashboard.

**Parameters:**

| Parameter   | Type      | Required | Default | Description                       |
| ----------- | --------- | -------- | ------- | --------------------------------- |
| `dashboard` | object    | No       | —       | The dashboard value               |
| `folderId`  | integer   | No       | —       | Deprecated: use FolderUID instead |
| `folderUid` | string    | No       | —       | Folder Uid                        |
| `inputs`    | object\[] | No       | —       | The inputs value                  |
| `overwrite` | boolean   | No       | —       | The overwrite value               |
| `path`      | string    | No       | —       | The path value                    |
| `pluginId`  | string    | No       | —       | Plugin Id                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "dashboard": {
        "type": "object",
        "description": "The dashboard value"
      },
      "folderId": {
        "type": "integer",
        "description": "Deprecated: use FolderUID instead"
      },
      "folderUid": {
        "type": "string",
        "description": "Folder Uid"
      },
      "inputs": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "description": "The name value"
            },
            "pluginId": {
              "type": "string",
              "description": "Plugin Id"
            },
            "type": {
              "type": "string",
              "description": "The type value"
            },
            "value": {
              "type": "string",
              "description": "The value value"
            }
          }
        },
        "description": "The inputs value"
      },
      "overwrite": {
        "type": "boolean",
        "description": "The overwrite value"
      },
      "path": {
        "type": "string",
        "description": "The path value"
      },
      "pluginId": {
        "type": "string",
        "description": "Plugin Id"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_interpolate\_dashboard

Interpolate dashboard. This is an experimental endpoint under dashboardLibrary or suggestedDashboards feature flags and is subject to change.

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_list\_public\_dashboards

Get list of public dashboards

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_list\_sort\_options

List search sorting options.

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_query\_public\_dashboard

Get results for a given panel on a public dashboard

**Parameters:**

| Parameter     | Type    | Required | Default | Description  |
| ------------- | ------- | -------- | ------- | ------------ |
| `accessToken` | string  | Yes      | —       | Access Token |
| `panelId`     | integer | Yes      | —       | Panel Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "accessToken": {
        "type": "string",
        "description": "Access Token"
      },
      "panelId": {
        "type": "integer",
        "description": "Panel Id"
      }
    },
    "required": [
      "PCID",
      "accessToken",
      "panelId"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_search

GET /search

**Parameters:**

| Parameter       | Type       | Required | Default | Description                                                                                                                                                                            |
| --------------- | ---------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `query`         | string     | No       | —       | Search Query                                                                                                                                                                           |
| `tag`           | string\[]  | No       | —       | List of tags to search for                                                                                                                                                             |
| `type`          | string     | No       | —       | Type to search for, dash-folder or dash-db                                                                                                                                             |
| `dashboardIds`  | integer\[] | No       | —       | List of dashboard id’s to search for This is deprecated: users should use the `dashboardUIDs` query parameter instead                                                                  |
| `dashboardUIDs` | string\[]  | No       | —       | List of dashboard uid’s to search for                                                                                                                                                  |
| `folderIds`     | integer\[] | No       | —       | List of folder id’s to search in for dashboards If it's `0` then it will query for the top level folders This is deprecated: users should use the `folderUIDs` query parameter instead |
| `folderUIDs`    | string\[]  | No       | —       | List of folder UID’s to search in for dashboards If it's an empty string then it will query for the top level folders                                                                  |
| `starred`       | boolean    | No       | —       | Flag indicating if only starred Dashboards should be returned                                                                                                                          |
| `limit`         | integer    | No       | —       | Limit the number of returned results (max 5000)                                                                                                                                        |
| `page`          | integer    | No       | —       | Use this parameter to access hits beyond limit. Numbering starts at 1. limit param acts as page size. Only available in Grafana v6.2+.                                                 |
| `permission`    | string     | No       | —       | Set to `Edit` to return dashboards/folders that the user can edit                                                                                                                      |
| `sort`          | string     | No       | —       | Sort method; for listing all the possible sort methods use the search sorting endpoint.                                                                                                |
| `deleted`       | boolean    | No       | —       | Flag indicating if only soft deleted Dashboards should be returned                                                                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "query": {
        "type": "string",
        "description": "Search Query"
      },
      "tag": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "List of tags to search for"
      },
      "type": {
        "type": "string",
        "description": "Type to search for, dash-folder or dash-db",
        "enum": [
          "dash-folder",
          "dash-db"
        ]
      },
      "dashboardIds": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int64"
        },
        "description": "List of dashboard id’s to search for This is deprecated: users should use the `dashboardUIDs` query parameter instead"
      },
      "dashboardUIDs": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "List of dashboard uid’s to search for"
      },
      "folderIds": {
        "type": "array",
        "items": {
          "type": "integer",
          "format": "int64"
        },
        "description": "List of folder id’s to search in for dashboards If it's `0` then it will query for the top level folders This is deprecated: users should use the `folderUIDs` query parameter instead"
      },
      "folderUIDs": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "List of folder UID’s to search in for dashboards If it's an empty string then it will query for the top level folders"
      },
      "starred": {
        "type": "boolean",
        "description": "Flag indicating if only starred Dashboards should be returned"
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of returned results (max 5000)"
      },
      "page": {
        "type": "integer",
        "description": "Use this parameter to access hits beyond limit. Numbering starts at 1. limit param acts as page size. Only available in Grafana v6.2+."
      },
      "permission": {
        "type": "string",
        "description": "Set to `Edit` to return dashboards/folders that the user can edit",
        "enum": [
          "Edit",
          "View"
        ]
      },
      "sort": {
        "type": "string",
        "description": "Sort method; for listing all the possible sort methods use the search sorting endpoint.",
        "enum": [
          "alpha-asc",
          "alpha-desc"
        ]
      },
      "deleted": {
        "type": "boolean",
        "description": "Flag indicating if only soft deleted Dashboards should be returned"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_search\_dashboard\_snapshots

List snapshots.

**Parameters:**

| Parameter | Type    | Required | Default | Description                          |
| --------- | ------- | -------- | ------- | ------------------------------------ |
| `query`   | string  | No       | —       | Search Query                         |
| `limit`   | integer | No       | —       | Limit the number of returned results |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "query": {
        "type": "string",
        "description": "Search Query"
      },
      "limit": {
        "type": "integer",
        "description": "Limit the number of returned results"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_update\_folder\_permissions

Updates permissions for a folder. This operation will remove existing permissions if they’re not included in the request.

**Parameters:**

| Parameter    | Type      | Required | Default | Description     |
| ------------ | --------- | -------- | ------- | --------------- |
| `folder_uid` | string    | Yes      | —       | Folder Uid      |
| `items`      | object\[] | No       | —       | The items value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "folder_uid": {
        "type": "string",
        "description": "Folder Uid"
      },
      "items": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "permission": {
              "type": "integer",
              "format": "int64",
              "description": "The permission value"
            },
            "role": {
              "type": "string",
              "enum": [
                "None",
                "Viewer",
                "Editor",
                "Admin"
              ],
              "description": "The role value"
            },
            "teamId": {
              "type": "integer",
              "format": "int64",
              "description": "Team Id"
            },
            "userId": {
              "type": "integer",
              "format": "int64",
              "description": "User Id"
            }
          }
        },
        "description": "The items value"
      }
    },
    "required": [
      "PCID",
      "folder_uid"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_update\_library\_element

Update library element.

**Parameters:**

| Parameter             | Type    | Required | Default | Description                                                                                     |
| --------------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------- |
| `library_element_uid` | string  | Yes      | —       | Library Element Uid                                                                             |
| `folderId`            | integer | No       | —       | ID of the folder where the library element is stored.  Deprecated: use FolderUID instead        |
| `folderUid`           | string  | No       | —       | UID of the folder where the library element is stored.                                          |
| `kind`                | integer | No       | —       | Kind of element to create, Use 1 for library panels or 2 for c. Description: 1 - library panels |
| `model`               | object  | No       | —       | The JSON model for the library element.                                                         |
| `name`                | string  | No       | —       | Name of the library element.                                                                    |
| `uid`                 | string  | No       | —       | The uid value                                                                                   |
| `version`             | integer | No       | —       | Version of the library element you are updating.                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "library_element_uid": {
        "type": "string",
        "description": "Library Element Uid"
      },
      "folderId": {
        "type": "integer",
        "description": "ID of the folder where the library element is stored.  Deprecated: use FolderUID instead"
      },
      "folderUid": {
        "type": "string",
        "description": "UID of the folder where the library element is stored."
      },
      "kind": {
        "type": "integer",
        "description": "Kind of element to create, Use 1 for library panels or 2 for c. Description: 1 - library panels",
        "enum": [
          1
        ]
      },
      "model": {
        "type": "object",
        "description": "The JSON model for the library element."
      },
      "name": {
        "type": "string",
        "description": "Name of the library element."
      },
      "uid": {
        "type": "string",
        "description": "The uid value"
      },
      "version": {
        "type": "integer",
        "description": "Version of the library element you are updating."
      }
    },
    "required": [
      "PCID",
      "library_element_uid"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_update\_public\_dashboard

Update public dashboard for a dashboard

**Parameters:**

| Parameter              | Type    | Required | Default | Description            |
| ---------------------- | ------- | -------- | ------- | ---------------------- |
| `dashboardUid`         | string  | Yes      | —       | Dashboard Uid          |
| `uid`                  | string  | Yes      | —       | The uid value          |
| `accessToken`          | string  | No       | —       | Access Token           |
| `annotationsEnabled`   | boolean | No       | —       | Annotations Enabled    |
| `isEnabled`            | boolean | No       | —       | Is Enabled             |
| `share`                | string  | No       | —       | The share value        |
| `timeSelectionEnabled` | boolean | No       | —       | Time Selection Enabled |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "dashboardUid": {
        "type": "string",
        "description": "Dashboard Uid"
      },
      "uid": {
        "type": "string",
        "description": "The uid value"
      },
      "accessToken": {
        "type": "string",
        "description": "Access Token"
      },
      "annotationsEnabled": {
        "type": "boolean",
        "description": "Annotations Enabled"
      },
      "isEnabled": {
        "type": "boolean",
        "description": "Is Enabled"
      },
      "share": {
        "type": "string",
        "description": "The share value"
      },
      "timeSelectionEnabled": {
        "type": "boolean",
        "description": "Time Selection Enabled"
      }
    },
    "required": [
      "PCID",
      "dashboardUid",
      "uid"
    ]
  }
  ```
</Expandable>

***

## grafana\_dashboards\_view\_public\_dashboard

Get public dashboard for view

**Parameters:**

| Parameter     | Type   | Required | Default | Description  |
| ------------- | ------ | -------- | ------- | ------------ |
| `accessToken` | string | Yes      | —       | Access Token |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "accessToken": {
        "type": "string",
        "description": "Access Token"
      }
    },
    "required": [
      "PCID",
      "accessToken"
    ]
  }
  ```
</Expandable>
